Content
List Google Drive files for source
List Google Drive files and folders for a connected Google content source. Pass folderId to navigate.
GET
/
api
/
content
/
sources
/
{id}
/
files
List Google Drive files for source
curl --request GET \
--url https://api.tedro.io/api/content/sources/{id}/files \
--header 'x-workspace-id: <api-key>' \
--cookie better-auth.session_token=import requests
url = "https://api.tedro.io/api/content/sources/{id}/files"
headers = {
"cookie": "better-auth.session_token=",
"x-workspace-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {cookie: 'better-auth.session_token=', 'x-workspace-id': '<api-key>'}
};
fetch('https://api.tedro.io/api/content/sources/{id}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"files": [
{}
]
}{
"error": "<string>",
"details": [
{
"path": "<string>",
"message": "<string>"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Session cookie set by Better Auth on sign-in.
Workspace UUID. Required on all /api/* endpoints.
Path Parameters
Query Parameters
Drive folder ID to list into (omit for root)
Response
Drive file list
Show child attributes
Show child attributes
Previous
Update source config and trigger syncUpdate the provider-specific selection (Notion page IDs or Google file/folder IDs) and trigger an immediate sync.
Next
⌘I
List Google Drive files for source
